@echo off

set JAVA_HOME=C:\Progra~1\Java\jdk1.6.0_02
set NYX_HOME=C:\secure-switch
set NYX_CONF=%NYX_HOME%\conf\nyx.properties

title SecureSwitch

"%JAVA_HOME%\bin\java" ^
 -Dnyx.home=%NYX_HOME% ^
 -Dnyx.conf=%NYX_CONF% ^
 -cp %NYX_HOME%\nyx-loader.jar ^
  jp.nyx.SecureSwitch %*

pause